/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Schroeter $
 *  Last update : $Date: 1999/05/14 09:33:10 $
 *  Revision :    $Revision: 1.1.1.1 $
 *  State:        $State: Exp $
*/

package Viewer.Controller;

import jToolkit.Gui.*;
import java.awt.*;
import Viewer.Main.*;


/**
 * Handler for events of the sliders beside the main view to pan the shown
 * image. This class derives the interface CommandScrollbarListener to
 * receive the events sent from the class CommandScrollbar.
 *
 * @author Andreas Schrter
 * @since 30.04.1999
 */
public class CommandImageScrollbarHandler implements CommandScrollbarListener
{
    /** reference to instance of class ScreenImageHandler. */
    private ScreenImageHandler screenImageHandler;
    
    /** Constructor; initializes an object. */
    public CommandImageScrollbarHandler (ScreenImageHandler screenImageHandler)
    {
        this.screenImageHandler = screenImageHandler;
    }
    
    /** This method is called when an event was fired.
     * 
     * @param ID ID of the fireing scrollbar
     * @param toValue new value of the scollbar
    */
    public void ScrollbarChanged (int ID, int toValue)
    {
        if (ID == 0) screenImageHandler.setNewImagePartWidth(toValue);
        else
        if (ID == 1) screenImageHandler.setNewImagePartHeight(toValue);
    }
}

/*
 *  CVS Log
 *  $Log: CommandImageScrollbarHandler.java,v $
 *  Revision 1.1.1.1  1999/05/14 09:33:10  Schroeter
 *  initial commit of release 1.0
 *
*/
