/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Schroeter $
 *  Last update : $Date: 1999/05/17 08:10:16 $
 *  Revision :    $Revision: 1.3 $
 *  State:        $State: Exp $
*/
package Viewer.Controller;

import java.awt.*;

import Viewer.GUI.*;
import Viewer.Main.*;
import Main.*;
import Viewer.Main.*;
import java.awt.event.*;

/**
 * This class contains the listeners for the class GUI.EditTextDialog
 * 
 * @author Klaus Kleber
 * @since 30.04.1999
 * @see GUI.EditTextDialog
 */
public class EditTextDialogEventController implements java.awt.event.ActionListener
{

    /**
     * Contains the current ScreenImageHandler
     * 
     * @since 30.04.1999
     */
    
    ScreenImageHandler screenImageHandler;

	/**
	 * Contains the object which fires the Events
	 * 
	 * @since 30.04.1999
	 */
	EditTextDialog editTextDialog;
    /**
     * Constructs a new object
     * 
     * @param screenImageHandler Contains the current ScreenImageHandler
     * @param editTextDialog Contains the editing EditTextDialog.
     * @since 30.04.1999
     */
	public EditTextDialogEventController (ScreenImageHandler screenImageHandler,EditTextDialog editTextDialog)
	{
	    this.screenImageHandler = screenImageHandler; 
	    this.editTextDialog= editTextDialog;
	}

	/**
	 * Handles the ActionEvents. If the ok Button is pressed the 
	 * action results in changing the text of a PresentationStateTextObject.
	 * 
	 * @param e Action Event
	 * @since 30.04.1999
	 */
	public void actionPerformed(ActionEvent e)
    {
         Button button = (Button)e.getSource();
         
         if (button.getName().equals("ok")) 
         {
            if (editTextDialog.nameTextField.getText().equals(""))(new AttentionDialog((Frame)editTextDialog.getParent(), "Error", "Please insert text")).setVisible(true);
            else
            {
                    screenImageHandler.setNewTextValue(editTextDialog.nameTextField.getText());
                    editTextDialog.setVisible(false);
            }
         }
         if (button.getName().equals("cancel")) 
         {
            editTextDialog.setVisible(false);
         }
         
    }

}




/*
 *  CVS Log
 *  $Log: EditTextDialogEventController.java,v $
 *  Revision 1.3  1999/05/17 08:10:16  Schroeter
 *  Correction of some bad log tags
 *
 *  Revision 1.2  1999/05/14 10:02:32  Schroeter
 *  Log-Tags for CVS corrected
 *
 *  Revision 1.1.1.1  1999/05/14 09:33:11  Schroeter
 *  initial commit of release 1.0
 *
*/
