/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Schroeter $
 *  Last update : $Date: 1999/05/14 09:33:10 $
 *  Revision :    $Revision: 1.1.1.1 $
 *  State:        $State: Exp $
*/

package Viewer.Controller;

import Viewer.GUI.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;

/**
 * This class contains a listener interface for 
 * the PanelSilder object. The PanelSlider and the interface is not
 * designed well but it works. 
 * 
 * @author Klaus Kleber
 * @since 30.04.1999
 * @see GUI.SliderPanel
 */
public interface SliderPanelListener extends AdjustmentListener,FocusListener,  ActionListener
{


    /**
    * Handles the ActionEvents
    * 
    * @param e ActionEvent
    * @since 30.04.1999
    */
    public void actionPerformed(ActionEvent e);
    
    
    /**
    * Handles the focus gained action
    * 
    * @param e FocusEvent
    * @since 30.04.1999
    */
    public void focusGained(FocusEvent e);
    
    
    /**
    * Handles the focus lost action
    * 
    * @param e FocusEvent
    * @since 30.04.1999
    */
    public void focusLost(FocusEvent e);
    
    
    /**
    * Handles the adjustment value changed  action
    * 
    * @param e AdjustmentEvent
    * @since 30.04.1999
    */
    public void adjustmentValueChanged(AdjustmentEvent e);
    
    
	/**
	 * Sets a new PanelSlider.
	 * 
	 * @param panelSlider The new PanelSlider
	 * @since 30.04.1999
	 */
    public void setPanelSlider(PanelSlider panelSlider);
}

/*
 *  CVS Log
 *  $Log: SliderPanelListener.java,v $
 *  Revision 1.1.1.1  1999/05/14 09:33:10  Schroeter
 *  initial commit of release 1.0
 *
*/
