/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Schroeter $
 *  Last update : $Date: 1999/05/17 09:39:12 $
 *  Revision :    $Revision: 1.4 $
 *  State:        $State: Exp $
*/

package Viewer.Controller;

import java.awt.event.*;
import java.awt.*;

import Viewer.Presentation.*;
import Viewer.Main.*;

/**
 * This class contains the  Listeners for the Buttons with the 
 * image processing functions on the WLTabPanel. 
 * 
 * @author Klaus Kleber
 * @since 30.04.1999
 */
 public class WLTabPanelImageProcessEventController implements ActionListener
{
	/**
	 * Contains the current ScreenImageHandler
	 * 
	 * @since 30.04.1999
	 */
    ScreenImageHandler screenImageHandler;
    
	/**
	 * Constructs a new object.
	 * 
	 * @param screenImageHandler Contains the current screenImageHandler.
	 * @since 30.04.1999
	 */
    public WLTabPanelImageProcessEventController(ScreenImageHandler screenImageHandler)
    {
        this.screenImageHandler = screenImageHandler;
    }
    
	/**
	 * Handles the ActionEvents fired from the image processing Buttons
	 * off the class WLTabPanel. The action restuls in some image processing functions.
	 * 
	 * @param e ActionEvent
	 * @since 30.04.1999
	 * @see GUI.WLTabPanel
	 */
    public void actionPerformed(ActionEvent e)
    {         
         Button button = (Button)e.getSource();
         if (button.getName().equals("left0")) 
         {
	        screenImageHandler.presentationStateGraphicsHandler.setRotation(0);
         }
         else if (button.getName().equals("left1")) 
         {
	        screenImageHandler.presentationStateGraphicsHandler.setRotation(1);
         }
         else if (button.getName().equals("left2")) 
         {
	        screenImageHandler.presentationStateGraphicsHandler.setRotation(2);
         }
         else if (button.getName().equals("left3")) 
         {
	        screenImageHandler.presentationStateGraphicsHandler.setRotation(3);
         }
         else if (button.getName().equals("Invert")) 
         {
            screenImageHandler.presentationStateGraphicsHandler.ps.invertImage();        
            
         }
         else if (button.getName().equals("Flip")) 
         {
	        screenImageHandler.presentationStateGraphicsHandler.setFlip();
         }
	    screenImageHandler.buildImageBuffer(false,true,true,false);
	    screenImageHandler.mainImageViewerPanel.funktionBasisTabPanel.presentationStatePanel.setValue();
         screenImageHandler.mainImageViewerPanel.funktionBasisTabPanel.wLTabPanel.setValue();
          
        
    }
    
}




/*
 *  CVS Log
 *  $Log: WLTabPanelImageProcessEventController.java,v $
 *  Revision 1.4  1999/05/17 09:39:12  Schroeter
 *  fixed the bugs made by CVS!
 *
 *  Revision 1.3  1999/05/17 08:10:19  Schroeter
 *  Correction of some bad log tags
 *
 *  Revision 1.2  1999/05/14 10:02:35  Schroeter
 *  Log-Tags for CVS corrected
 *
 *  Revision 1.1.1.1  1999/05/14 09:33:11  Schroeter
 *  initial commit of release 1.0
 *
*/
