/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Schroeter $
 *  Last update : $Date: 1999/05/14 09:33:11 $
 *  Revision :    $Revision: 1.1.1.1 $
 *  State:        $State: Exp $
*/

package Viewer.Paint;


import java.awt.*;
import java.util.*;
import java.awt.geom.*;
/**
 * This class contains methods for creating a bezier curve.
 * This class is not ready. Only the needed functionality is implemented.
 * <br>
 * These objects can be display or image relative.
 * <br> 
 * These objects can be a shutter.
 *
 * @author Klaus Kleber
 * @since 30.04.1999
 * @see PaintObject
 */
public class CurveObject extends PaintObject 
{
    /**
     * Contains the geometic form of the circle.
     * 
     * @since 30.04.1999
     */
    GeneralPath thisShape = null;
    
    public  int count = 0; 
    Point2D.Float point1;
    Point2D.Float point2;
    Point2D.Float firstPoint;
    Point2D.Float nextPoint;
    
    /**
     * Constucts a new object.
     * 
     * @since 30.04.1999
     */
    public CurveObject()
    {
        super();
        
    }
    
        

    
    public CurveObject(boolean isDisplayRelative, int count,Point2D.Float startPoint,Point2D.Float point1,Point2D.Float point2,Point2D.Float nextPoint)
    {
        super();
        this.isDisplayRelative = isDisplayRelative;
        this.count = count;
        this.point1 = point1;
        this.point2 = point2;
        this.firstPoint = startPoint;
        this.nextPoint = nextPoint;
         thisShape = new GeneralPath();
         thisShape.moveTo(startPoint.x,startPoint.y);
        
         if (count == 1) 
         {
            thisShape.curveTo(  nextPoint.x, 
                                nextPoint.y, 
                                nextPoint.x, 
                                nextPoint.y, 
                                nextPoint.x, 
                                nextPoint.y);
         }   
         if (count == 2) 
         {
            thisShape.curveTo(  point1.x, 
                                point1.y, 
                                nextPoint.x, 
                                nextPoint.y, 
                                nextPoint.x, 
                                nextPoint.y);
         }   
         if (count == 3) 
         {
            thisShape.curveTo(  point1.x, 
                                point1.y, 
                                point2.x, 
                                point2.y, 
                                nextPoint.x, 
                                nextPoint.y);
         }   
        
    }
    
    
    /**
     * Not implemented yet
     * 
     * @since 30.04.1999
     */
    public  PaintObject getMovePaintObject(Point2D.Float nextPoint)
    {
        return null;
    } 
    
    /**
     * Not implemented yet
     * 
     * @since 30.04.1999
     */
    public  void setNewPoint(Point2D.Float newPoint)
    {
    }
    
    /**
     * Gets the Shape of the Circle2DObject.
     * 
     * @return The Shape of the Circle2DObject.
     * @since 30.04.1999
     */

    public  Shape getShape()
    {
        return thisShape;
    }
   /**
    * Draws the Shape of the CurveObject  in the specified Graphics context.
    *
    * @param g The Graphics context in which the Shape should be drawn.
    * @since 30.04.1999
    */
   public  void drawShape(Graphics2D g)
   {
      if ((g!=null) && (thisShape!= null))
      {
         
         g.draw(thisShape);
         
      }
   }
      
    /**
    * Returns a real copy of the CurveObject.
    *
    * @return A real copy of this CurveObject.
    * @since 30.04.1999
    */
    public PaintObject copy()
    {
     return new CurveObject(isDisplayRelative,  count, firstPoint, point1, point2, nextPoint);
        
    }
    /**
     * Not implemented yet
     * 
     * @since 30.04.1999
     */
    public  PaintObject getNewPaintObject()
    {
      return null;
    }


}
/*
 *  CVS Log
 *  $Log: CurveObject.java,v $
 *  Revision 1.1.1.1  1999/05/14 09:33:11  Schroeter
 *  initial commit of release 1.0
 *
*/

