/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Schroeter $
 *  Last update : $Date: 1999/05/14 09:33:10 $
 *  Revision :    $Revision: 1.1.1.1 $
 *  State:        $State: Exp $
*/

package jToolkit.Gui;

import javax.swing.*;
import java.awt.*;

/**
 * A class to implement a statusbar as a panel.
 *
 *
 * @author Andreas Schroeter
 * @since 30.03.
*/
public class Statusline extends JPanel
{
    JLabel textlabel;
    
    public Statusline ()
    {
        setLayout (new FlowLayout(FlowLayout.LEFT));
        //setOpaque(false);
        setBackground (Color.lightGray);
        textlabel = new JLabel ("");
        textlabel.setForeground (Color.black);
        textlabel.setBackground (Color.lightGray);
        
        add (textlabel); // default was flowlayout
    }
    
    public void setFont (Font f)
    {
        if (textlabel == null) return;
        textlabel.setFont (f);
    }
    
    public Font getFont ()
    {        
        if (textlabel == null) return null;
        return textlabel.getFont();
    }
    
    public void setText (String text)
    {
        textlabel.setText (text);
        doLayout();
    }
}
/*
 *  CVS Log
 *  $Log: Statusline.java,v $
 *  Revision 1.1.1.1  1999/05/14 09:33:10  Schroeter
 *  initial commit of release 1.0
 *
*/

