/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Schroeter $
 *  Last update : $Date: 1999/05/17 08:10:18 $
 *  Revision :    $Revision: 1.3 $
 *  State:        $State: Exp $
*/

package Viewer.Controller;

import java.awt.event.*;
import java.awt.*;

import Viewer.Presentation.*;
import Viewer.Main.*;
/**
 * This class contains the  listeners for the Scrollbars in the class PanelScrollImage.
 * 
 * @author Klaus Kleber
 * @since 30.04.1999
 * @see GUI.PanelScrollImage
 */
public class PanelScrollImageEventController extends MouseAdapter implements AdjustmentListener
{
	/**
	 * Contains the current ScreenImageHandler
	 * 
	 * @since 30.04.1999
	 */
    public ScreenImageHandler screenImageHandler;
    
    
    
	/**
	 * Constructs a new object.
	 * 
	 * @param screenImageHandler Contains the current screenImageHandler.
	 * @since 30.04.1999
	 */
    public PanelScrollImageEventController(ScreenImageHandler screenImageHandler)
    {
        this.screenImageHandler = screenImageHandler;
    }
   // public void 
    
	/**
	 * Handles the AdjustmentEvent. Receiving this Event results in moving the image in the 
	 * ImageCanvas.
	 * 
	 * @param e AdjustmentEvent
	 * @since 30.04.1999
	 */
    public void adjustmentValueChanged(AdjustmentEvent e)
    {
        /*    
            System.out.println("Hallo adjustmentValueChanged: " + e.getAdjustmentType());
            System.out.println("Hallo getId: " + e.getID());
            System.out.println("Hallo paramString: " + e.paramString());
            System.out.println("Hallo toString: " + e.toString());
         */   
        Scrollbar scroll = (Scrollbar)e.getSource();
        if (scroll.getName().equals("widthScrollbar"))
        {
            screenImageHandler.setNewImagePartWidth(e.getValue());
        }
        else
        {
            screenImageHandler.setNewImagePartHeight(e.getValue());
            
        }
    }
    
}


/*
 *  CVS Log
 *  $Log: PanelScrollImageEventController.java,v $
 *  Revision 1.3  1999/05/17 08:10:18  Schroeter
 *  Correction of some bad log tags
 *
 *  Revision 1.2  1999/05/14 10:02:33  Schroeter
 *  Log-Tags for CVS corrected
 *
 *  Revision 1.1.1.1  1999/05/14 09:33:11  Schroeter
 *  initial commit of release 1.0
 *
*/
